DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageWrite

Write grey-value image to file (in dipIO)

## SYNOPSIS

dip_Error dipio_ImageWrite ( image, filename, physDims, format, compression )

## FUNCTION

This function writes a grey-vlaue image to a file, overwriting any other file with the same name. `physDims` gives physical dimensions of the image, and can be set to 0 for default values. Not all file formats are able to store physical dimensions. Get the format ID through the registry functions. See File formats recognized by dipIO for a list of currently supported formats. If `format` is 0, ICSv2 is used.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output image
`dip_String` | `filename` | File name
`dip_PhysicalDimensions` | `physDims` | Physical dimensions structure. See `PhysicalDimensionsNew`
`dip_int` | `format` | ID of file format
`dipio_Compression` | `compression` | Compression method and level. See Compression methods for image files

## SEE ALSO

`ImageWriteColour`, `ImageWriteCSV`, `ImageWriteEPS`, `ImageWriteFLD`, `ImageWriteGIF`, `ImageWriteICS`, `ImageWritePS`, `ImageWriteTIFF`, `ImageWriteJPEG`, `ImageRead`

DIPlib on-line documentation | Function reference | Global function index